  With ds_dock.FieldDefs Do
  Begin
    add('INTERNAL',ftboolean,0,false);
    add('x',ftfloat,0,false);
    add('y',ftfloat,0,false);
    add('z',ftfloat,0,false);
    add('size',ftfloat,0,false);
    add('minsize',ftfloat,0,false);
  end;
  ds_dock.CreateTable;
  ds_dock.Open;

